Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Event Class Reference

`#include <Notify_Event.h>`

Inheritance diagram for TAO_Notify_Event:

[legend]
Collaboration diagram for TAO_Notify_Event:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Event (void)
virtual | ~TAO_Notify_Event ()
virtual CORBA::Boolean | is_special_event_type (void) const=0
virtual const TAO_Notify_EventType & | event_type (void) const=0
virtual TAO_Notify_Event * | clone (void)=0
virtual CORBA::Boolean | do_match (CosNotifyFilter::Filter_ptr filter ACE_ENV_ARG_DECL)=0
virtual void | do_push (CosEventComm::PushConsumer_ptr consumer ACE_ENV_ARG_DECL) const=0
virtual void | do_push (CosNotifyComm::StructuredPushConsumer_ptr consumer ACE_ENV_ARG_DECL) const=0
virtual void | do_push (CosNotifyComm::SequencePushConsumer_ptr consumer, const TAO_Notify_QoSAdmin_i &qos_admin, CosNotification::EventBatch &unsent, int flush_queue ACE_ENV_ARG_DECL) const=0
CORBA::Short | event_reliability (void)
void | event_reliability (CORBA::Short event_reliability)
CORBA::Short | priority (void)
void | priority (CORBA::Short priority)
TimeBase::UtcT | start_time (void)
void | start_time (TimeBase::UtcT start_time)
TimeBase::UtcT | stop_time (void)
void | stop_time (TimeBase::UtcT stop_time)
TimeBase::TimeT | timeout (void)
void | timeout (TimeBase::TimeT timeout)
void | _incr_refcnt (void)
void | _decr_refcnt (void)
## Protected Attributes
ACE_Lock * | lock_
CORBA::ULong | refcount_
CORBA::Short | event_reliability_
CORBA::Short | priority_
TimeBase::UtcT | start_time_
TimeBase::UtcT | stop_time_
TimeBase::TimeT | timeout_

## Constructor & Destructor Documentation

TAO_Notify_Event::TAO_Notify_Event | ( | void |  | ) |

TAO_Notify_Event::~TAO_Notify_Event | ( |  | ) | `[virtual]`

## Member Function Documentation

void TAO_Notify_Event::_decr_refcnt | ( | void |  | ) |

void TAO_Notify_Event::_incr_refcnt | ( | void |  | ) |

virtual TAO_Notify_Event* TAO_Notify_Event::clone | ( | void |  | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

virtual CORBA::Boolean TAO_Notify_Event::do_match | ( | CosNotifyFilter::Filter_ptr filter | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

virtual void TAO_Notify_Event::do_push | ( | CosNotifyComm::SequencePushConsumer_ptr | consumer,
|  | const TAO_Notify_QoSAdmin_i & | qos_admin,
|  | CosNotification::EventBatch & | unsent,
|  | int | flush_queue
| ) | const`[pure virtual]`

| Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

virtual void TAO_Notify_Event::do_push | ( | CosNotifyComm::StructuredPushConsumer_ptr consumer | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

virtual void TAO_Notify_Event::do_push | ( | CosEventComm::PushConsumer_ptr consumer | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

void TAO_Notify_Event::event_reliability | ( | CORBA::Short | event_reliability | ) |

CORBA::Short TAO_Notify_Event::event_reliability | ( | void |  | ) |

virtual const TAO_Notify_EventType& TAO_Notify_Event::event_type | ( | void |  | ) | const`[pure virtual]`

| Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

virtual CORBA::Boolean TAO_Notify_Event::is_special_event_type | ( | void |  | ) | const`[pure virtual]`

| Reimplemented in TAO_Notify_Any, TAO_Notify_StructuredEvent, and TAO_Notify_StructuredEvents.

void TAO_Notify_Event::priority | ( | CORBA::Short | priority | ) |

CORBA::Short TAO_Notify_Event::priority | ( | void |  | ) |

void TAO_Notify_Event::start_time | ( | TimeBase::UtcT | start_time | ) |

TimeBase::UtcT TAO_Notify_Event::start_time | ( | void |  | ) |

void TAO_Notify_Event::stop_time | ( | TimeBase::UtcT | stop_time | ) |

TimeBase::UtcT TAO_Notify_Event::stop_time | ( | void |  | ) |

void TAO_Notify_Event::timeout | ( | TimeBase::TimeT | timeout | ) |

TimeBase::TimeT TAO_Notify_Event::timeout | ( | void |  | ) |

## Member Data Documentation

CORBA::Short TAO_Notify_Event::event_reliability_`[protected]`

ACE_Lock* TAO_Notify_Event::lock_`[protected]`

CORBA::Short TAO_Notify_Event::priority_`[protected]`

CORBA::ULong TAO_Notify_Event::refcount_`[protected]`

TimeBase::UtcT TAO_Notify_Event::start_time_`[protected]`

TimeBase::UtcT TAO_Notify_Event::stop_time_`[protected]`

TimeBase::TimeT TAO_Notify_Event::timeout_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Event.h
- Notify_Event.cpp